oci_result
oci_server_version
OCI8 Functions
PHP Manual

# oci_rollback

(PHP 5, PECL oci8 >= 1.1.0)

oci_rollback — Rolls back outstanding transaction

### Description

bool oci_rollback ( resource `$connection` )

Rolls back all outstanding statements for the Oracle `connection` .

### Parameters

`connection`

  An Oracle connection identifier, returned by oci_connect() or oci_pconnect().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

> Note: Transactions are automatically rolled back when you close the connection, or when the script ends, whichever is soonest. You need to explicitly call oci_commit() to commit the transaction, or oci_rollback() to abort it.

> Note: In PHP versions before 5.0.0 you must use ocirollback() instead. This name still can be used, it was left as alias of oci_rollback() for downwards compatability. This, however, is deprecated and not recommended.

### See Also

- oci_commit() - Commits outstanding statements

oci_result
oci_server_version
OCI8 Functions
PHP Manual